centroid.h File Reference

Centroid structure computation. More...

Include dependency graph for centroid.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

char * | vrna_centroid (vrna_fold_compound_t *vc, double *dist)
| Get the centroid structure of the ensemble. More...
char * | vrna_centroid_from_plist (int length, double *dist, vrna_plist_t *pl)
| Get the centroid structure of the ensemble. More...
char * | vrna_centroid_from_probs (int length, double *dist, FLT_OR_DBL *probs)
| Get the centroid structure of the ensemble. More...
char * | get_centroid_struct_pl (int length, double *dist, vrna_plist_t *pl)
| Get the centroid structure of the ensemble. More...
char * | get_centroid_struct_pr (int length, double *dist, FLT_OR_DBL *pr)
| Get the centroid structure of the ensemble. More...

## Detailed Description

Centroid structure computation.

## Function Documentation

char* get_centroid_struct_pl | ( | int | length,
|  | double * | dist,
|  | vrna_plist_t * | pl
| ) |  |

Get the centroid structure of the ensemble.

Deprecated:
  This function was renamed to vrna_centroid_from_plist()

char* get_centroid_struct_pr | ( | int | length,
|  | double * | dist,
|  | FLT_OR_DBL * | pr
| ) |  |

Get the centroid structure of the ensemble.

Deprecated:
  This function was renamed to vrna_centroid_from_probs()